Bug 1623072 - [RFE] Apply right-size recommendations during migration
Summary: [RFE] Apply right-size recommendations during migration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.5
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.10.0
Assignee: Fabien Dupont
QA Contact: Yadnyawalk Tale
URL:
Whiteboard: v2v
Depends On: 1623021
Blocks: 1619668 1634834
TreeView+ depends on / blocked
 
Reported: 2018-08-28 12:39 UTC by Fabien Dupont
Modified: 2019-02-07 23:03 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.18
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1634834 (view as bug list)
Environment:
Last Closed: 2019-02-07 23:03:43 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:50 UTC

Description Fabien Dupont 2018-08-28 12:39:37 UTC
When migrating a virtual machine, we have the opportunity to apply right-size recommendation as it is shutdown  in the migration process. This brings the additional ability to shrink the target environment and lower the TCO.

Comment 3 CFME Bot 2018-10-01 17:08:16 UTC
New commit detected on ManageIQ/manageiq-content/hammer:

https://github.com/ManageIQ/manageiq-content/commit/e1affb42bcadf96c0ff5d1d0d82cb6a992cfb98f
commit e1affb42bcadf96c0ff5d1d0d82cb6a992cfb98f
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Fri Sep 28 09:49:58 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Fri Sep 28 09:49:58 2018 -0400

    Merge pull request #417 from fdupont-redhat/v2v_apply_right_size

    Add support to apply right-size recommendation during transformation

    (cherry picked from commit 4f98a7855105eee49e8fe8373cbff98d6ebf2dbe)

    https://bugzilla.redhat.com/show_bug.cgi?id=1623072

 content/automate/ManageIQ/Transformation/Infrastructure/VM/Common.class/__methods__/applyrightsize.rb | 42 +
 content/automate/ManageIQ/Transformation/Infrastructure/VM/Common.class/__methods__/applyrightsize.yaml | 15 +
 content/automate/ManageIQ/Transformation/StateMachines/VMTransformation.class/__class__.yaml | 20 +
 content/automate/ManageIQ/Transformation/StateMachines/VMTransformation.class/posttransform.yaml | 20 +-
 spec/content/automate/ManageIQ/Transformation/Infrastructure/VM/Common.class/__methods__/applyrightsize_spec.rb | 95 +
 5 files changed, 186 insertions(+), 6 deletions(-)

Comment 6 Yadnyawalk Tale 2018-10-29 10:00:06 UTC
Fixed! Migration works well with right-size recommendation.
Verified on: 5.10.0.21.20181023151612_4c11b0d

thanks fabien!

Comment 7 errata-xmlrpc 2019-02-07 23:03:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.